@ECHO OFF
:: Get the current on/off state into e-var reLFN
SET reLFN=OFF
LFNFOR | find "is on" > nul
IF NOT ERRORLEVEL 1 SET reLFN=ON
CLS
:: Switch to the TEMP directory
CD %TEMP%
%TEMP%\
:: Create some files with long filenames
REM > "This is a long filename.txt"
REM > "and so is this.txt"
REM > "and so is this as well.txt"
REM > "Here is another long filename.txt"
ECHO Without LFNFOR:
LFNFOR OFF
FOR %%v IN (*.txt) DO ECHO Filename: "%%v"
ECHO.
ECHO With LFNFOR:
LFNFOR ON
FOR %%v IN (*.txt) DO ECHO Filename: "%%v"
:: Clean up the mess
DEL "This is a long filename.txt"
DEL "and so is this.txt"
DEL "and so is this as well.txt"
DEL "Here is another long filename.txt"
:: Restore the previous state of LFNFOR
LFNFOR %reLFN%
